import pandas as py
def tamil_to_thanglish(text: str):
    try:
        with open("Data.cvs", "r", encoding="utf8") as f:
            dta = f.read()
    except:
        data = """key,value
ஔ,ov
ஓ,oa
ஒ,o
ஐ,ai
ஏ,yae
எ,ye
ஊ,oo
உ,u
ஈ,ii
இ,i
ஆ,aa
அ,a
க்,k
ங்,ng
ச்,s
ஞ்,nj
ட்,t
ண்,n
த்,th
ந்,n
ப்,p
ம்,m
ய்,y
ர்,r
ல்,l
வ்,v
ழ்,zh
ள்,l
ற்,r
ன்,n
ஜ்,j
ஷ்,ch
ஸ்,ch
ஹ்,h
க்ஷ்,ks
கௌ,kou
ஙௌ,ngou
சௌ,sou
ஞௌ,sjou
டௌ,tou
ணௌ,nou
தௌ,thou
நௌ,nou
பௌ,pou
மௌ,mou
யௌ,you
ரௌ,rou
லௌ,lou
வௌ,vou
ழௌ,zhou
ளௌ,lou
றௌ,rou
னௌ,nou
கோ,koa
ஙோ,ngoa
சோ,soa
ஞோ,njoa
டோ,toa
ணோ,noa
தோ,thoa
நோ,noa
போ,poa
மோ,moa
யோ,yoa
ரோ,roa
லோ,loa
வோ,voa
ழோ,zhoa
ளோ,loa
றோ,roa
னோ,noa
கொ,ko
ஙொ,gno
சொ,so
ஞொ,njo
டொ,toe
ணொ,no
தொ,tho
நொ,no
பொ,po
மொ,mo
யொ,yo
ரொ,ro
லொ,lo
வொ,vo
ழொ,zho
ளொ,lo
றொ,ro
னொ,no
கை,kai
ஙை,ngai
சை,sai
ஞை,njai
டை,tai
ணை,nai
தை,thai
நை,nai
பை,pai
மை,mai
யை,yai
ரை,rai
லை,lai
வை,vai
ழை,zhai
ளை,lai
றை,rai
னை,nai
கே,kae
ஙே,gnae
சே,sae
ஞே,njae
டே,tae
ணே,nae
தே,thae
நே,nae
பே,pae
மே,mae
யே,yae
ரே,rae
லே,lae
வே,vae
ழே,zhae
ளே,lae
றே,rae
னே,nae
கெ,ke
ஙெ,nge
செ,se
ஞெ,nje
டெ,te
ணெ,ne
தெ,the
நெ,ne
பெ,pe
மெ,me
யெ,ye
ரெ,re
லெ,le
வெ,ve
ழெ,zhe
ளெ,le
றெ,re
னெ,ne
கூ,kuu
ஙூ,nguu
சூ,suu
ஞூ,njuu
டூ,tuu
ணூ,nuu
தூ,thuu
நூ,nuu
பூ,puu
மூ,muu
யூ,yuu
ரூ,ruu
லூ,luu
வூ,vuu
ழூ,zhuu
ளூ,luu
றூ,ruu
னூ,nuu
கு,ku
ஙு,ngu
சு,su
ஞு,nju
டு,tu
ணு,nu
து,thu
நு,nu
பு,pu
மு,mu
யு,yu
ரு,ru
லு,lu
வு,vu
ழு,zhu
ளு,lu
று,ru
னு,nu
கீ,kee
ஙீ,ngee
சீ,see
ஞீ,njee
டீ,tee
ணீ,nee
தீ,thee
நீ,nee
பீ,pee
மீ,mee
யீ,yee
ரீ,ree
லீ,lee
வீ,vee
ழீ,zhee
ளீ,lee
றீ,ree
னீ,nee
கி,ki
ஙி,gni
சி,si
ஞி,nji
டி,ti
ணி,ni
தி,thi
நி,ni
பி,pi
மி,mi
யி,yi
ரி,ri
லி,li
வி,vi
ழி,zhi
ளி,li
றி,ri
னி,ni
கா,kaa
ஙா,ngaa
சா,saa
ஞா,njaa
டா,taa
ணா,naa
தா,thaa
நா,naa
பா,paa
மா,maa
யா,yaa
ரா,raa
லா,laa
வா,vaa
ழா,zhaa
ளா,laa
றா,raa
னா,naa
க,ka
ங,nga
ச,sa
ஞ,nja
ட,ta
ண,na
த,tha
ந,na
ப,pa
ம,ma
ய,ya
ர,ra
ல,la
வ,va
ழ,zha
ள,la
ற,ra
ன,na
ஜை,jau
ஷை,chau
ஸை,chau
ஹை,hau
க்ஷை,ksau
ஜோ,joa
ஷோ,choa
ஸோ,choa
ஹோ,hoa
க்ஷோ,ksoa
ஜொ,jo
ஷொ,cho
ஸொ,cho
ஹொ,ho
க்ஷொ,kso
ஜை,jai
ஷை,chai
ஸை,chai
ஹை,hai
க்ஷை,ksai
ஜே,jae
ஷே,chae
ஸே,chae
ஹே,hae
க்ஷே,ksae
ஜெ,je
ஷெ,che
ஸெ,che
ஹெ,he
க்ஷெ,kse
ஜூ,joo
ஷூ,choo
ஸூ,choo
ஹூ,hoo
க்ஷூ,ksoo
ஜு,ju
ஷு,chu
ஸு,chu
ஹு,hu
க்ஷு,ksu
ஜீ,jee
ஷீ,chee
ஸீ,chee
ஹீ,hee
க்ஷீ,ksee
ஜி,ji
ஷி,chi
ஸி,chi
ஹி,hi
க்ஷி,ksi
ஜா,jaa
ஷா,chaa
ஸா,chaa
ஹா,haa
க்ஷா,ksaa
ஜ,ja
ஷ,cha
ஸ,cha
ஹ,ha
க்ஷ,ksa
ஃ,ak"""
        with open("Data.cvs", "w", encoding="utf8") as f:
            data = f.write(data)


    finally:
        datas =py.read_csv("Data.cvs")#  Read the data from data file
        data = py.DataFrame(datas)# data file convert the data formate
        for key, value in zip(data['key'], data["value"]):# The data are two columns key and value are present
            if key in text:# check the key are present in the text
                text = text.replace(key, value)# The keys are replace to value
        return text
